---
- name: glow | Create config directory
  file:
    path: '{{ xdg_dir.config_home }}/glow/styles'
    state: directory
    mode: '755'

- name: glow | Copy themes
  copy:
    src: 'glow/{{ item }}'
    dest: '{{ xdg_dir.config_home }}/glow/styles'
    mode: '644'
  loop:
    - nord.json
    - onedark.json

- name: glow | Copy config
  template:
    src: glow/glow.j2
    dest: '{{ xdg_dir.config_home }}/glow/glow.yml'
    mode: '644'
